:root {
  --primary-color: #00ed64; /* Soft Forest Green */
  --secondary-color: #21313c; /* Light Gold */
  --accent-color: #7d8b5a; /* Soft Olive Green */
  --background-color: #061621;
  --second-background-color: #001e2b;
  --border-color: #3b4e56; /* Dark Charcoal */
  --second-border-color: #3d4f58; /* Dark Charcoal */
  --text-color: #b8c4b9; /* Beige */
  --second-text-color: #001e45; /* Beige */
}

html {
  scroll-behavior: smooth;
}
body {
  /* font-optical-sizing: auto;
    font-weight: <weight>;
    font-style: normal;
    font-variation-settings:"wdth" 100; */
}

.departments {
  height: auto;
  width: 50vw;
  padding: 3vh;
  margin-top: 10vh;
  display: flex;
  flex-direction: column;
  gap: 3vh;
}
.departments h1 {
  padding-left: 3vw;
}
.sections1 {
  height: auto;
}

.departmentsHead h1 {
  color: var(--primary-color);
}
.departmentCount {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 2vw;
}

.departmentTitle {
  height: 5%;
}

.departmentTitle h1 {
  color: white;
  font-size: 2vw;
  padding: 1vw;
}

.departmentImg {
  height: 25vw;

  padding: 2vw;
  width: 85%;

  border-radius: 2vh;
}

.departmentImg img {
  height: 100%;
  width: 100%;
  border: 1px solid var(--primary-color);
  border-radius: 1vw;
  padding: 1vw;
}

.departmentDetails {
  height: auto;
  display: flex;
  flex-direction: column;
  gap: 3vw;
  padding: 2vw;
}

.departmentDetails h3 {
  color: var(--primary-color);
  font-size: 1.6vw;
  position: relative;
}

.departmentDetails h3::before {
  content: "";
  height: 100%;
  bottom: -1vh;
  width: 20%;
  border-bottom: 4px solid white;
  position: absolute;
  animation: widthIncrese 1s ease;
}

@keyframes widthIncrese {
  0% {
    width: 0%;
  }
  100% {
    width: 20%;
  }
}

.classes {
  color: white;
}

.departmentDetails p {
  color: var(--text-color);
  font-size: 1.4vw;
  font-weight: 300;
}

@media (min-width: 100px) and (max-width: 700px) {
  .departments {
    height: auto;
    width: 90vw;
    padding: 3vh;
    margin-top: 10vh;
    display: flex;
    flex-direction: column;
    gap: 3vh;
  }
  .departments h1 {
    padding-left: 3vh;
  }
  .sections1 {
    height: auto;
  }

  .departments {
    height: auto;
    width: 100%;
  }
  .departmentsHead h1 {
    color: var(--primary-color);
  }
  .departmentCount {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 2vh;
  }

  .departmentTitle {
    height: 5%;
  }

  .departmentTitle h1 {
    color: white;
    font-size: 1.5rem;
    padding: 1vh;
  }

  .departmentImg {
    height: 25vh;

    padding: 2vh;
    width: 85%;

    border-radius: 2vh;
  }

  .departmentImg img {
    height: 100%;
    width: 100%;
    border: 1px solid var(--primary-color);
    border-radius: 1vh;
    padding: 1vh;
  }

  .departmentDetails {
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 3vh;
    padding: 2vh;
  }

  .departmentDetails h3 {
    color: var(--primary-color);
    font-size: 1.6rem;
    position: relative;
  }

  .departmentDetails h3::before {
    content: "";
    height: 100%;
    bottom: -1vh;
    width: 30%;
    border-bottom: 4px solid white;
    position: absolute;
    animation: widthIncrese 1s ease;
  }

  @keyframes widthIncrese {
    0% {
      width: 0%;
    }
    100% {
      width: 30%;
    }
  }

  .classes {
    color: white;
  }

  .departmentDetails p {
    color: var(--text-color);
    font-size: 1.4rem;
    font-weight: 300;
  }
}
